<?php

//
// Mark Claypool, WPI
// 2017
//

// Based on code by Jeroen van der Gun.
// https://tagpro.eu/?science

// Class to handle splats.
class SplatEventHandler extends SplatLogReader {
  protected function splatsEvent($splats, $time) {
    global $g_team;
      
    foreach ($splats as $splat) {
      if ($g_team -> name == "Red") 
        echo "red, ";
      else if ($g_team -> name == "Blue") 
        echo "blue, ";
      echo $splat[0], ', ', $splat[1], ", \n";
    }
  }

  public function __construct() {
      global $g_team, $g_match, $g_map_height;
      parent::__construct(base64_decode($g_team->splats),
                          $g_match->map->width, $g_map_height);
  }
}
?>
